<include file="public@header" />
</head>
<body>
	<div class="wrap">
		<ul class="nav nav-tabs">
			<li class="active"><a>{:lang('FAMILY_LIST')}</a></li>
		</ul>
		<form class="well form-inline margin-top-20" method="post" action="{:url('Family/index')}">
            {:lang('REVIEW_STATUS')}:  
            <select class="form-control" name="state">
				<option value="">{:lang('ALL')}</option>
                <volist name="state" id="v">
                    <option value="{$key}" <if condition="input('request.state') neq '' && input('request.state') eq $key">selected</if>>{$v}</option>
                </volist>
			</select>
			{:lang('SUBMISSION_TIME')}: 
			<input class="form-control js-bootstrap-date" name="start_time" id="start_time" autocomplete="off" value="{:input('request.start_time')}" aria-invalid="false" style="width: 110px;"> - 
            <input class="form-control js-bootstrap-date" name="end_time" id="end_time" autocomplete="off" value="{:input('request.end_time')}" aria-invalid="false" style="width: 110px;">
			{:lang('USER_ID')}: 
            <input class="form-control" type="text" name="uid" style="width: 200px;" value="{:input('request.uid')}"
                   placeholder="{:lang('PLEASE_ENTER_USER_ID_NICKNAME')}">
			{:lang('KEYWORD')}:  
            <input class="form-control" type="text" name="keyword" style="width: 200px;" value="{:input('request.keyword')}"
                   placeholder="{:lang('PLEASE_ENTER_FAMILY_NAME')}">
			<input type="submit" class="btn btn-primary" value="{:lang('SEARCH')}">
		</form>				
		<form method="post" class="js-ajax-form" >
			<table class="table table-hover table-bordered">
				<thead>
					<tr>
						<th>ID</th>
						<th>{:lang('FAMILY_NAME')}</th>
						<th>{:lang('FAMILY_LEADER')}（ID）</th>
						<th>{:lang('FAMILY_CREST_ICON')}</th>
						<th>{:lang('FAMILY_PROFILE')}</th>
						<th>{:lang('FAMILY_COMMISSION')}（%）</th>
						<th>{:lang('STATUS')}</th>
						<th>{:lang('SUBMISSION_TIME')}</th>
						<th>{:lang('ACTIONS')}</th>
					</tr>
				</thead>
				<tbody>
					<foreach name="lists" item="vo">
					<tr>
						<td>{$vo.id}</td>
						<td>{$vo['name']}</td>	
						<td>{$vo['userinfo']['user_nickname']}({$vo['uid']})</td>
						<td><img src="{$vo['badge']}" class="imgtip" style="height:20px"></td>
						<td style="max-width: 200px;word-break:break-all;">{$vo['briefing']}</td>
						<td>{$vo['divide_family']}</td>
						<td>{$state[$vo['state']]}</td>
						<td>{:date('Y-m-d H:i:s',$vo['addtime'])}</td>						
						<td align="center">
                            <if condition="$vo['disable'] eq '0'">
                                <a class="btn btn-xs btn-danger js-ajax-dialog-btn" href="{:url('Family/disable',array('id'=>$vo['id']))}" >{:lang('DISABLED')}</a>
                            <else/>
                                <a class="btn btn-xs btn-danger js-ajax-dialog-btn" href="{:url('Family/enable',array('id'=>$vo['id']))}" >{:lang('ENABLE')}</a>
                            </if>
                                
                            <a class="btn btn-xs btn-primary" href='{:url("Family/profit",array("uid"=>$vo["uid"]))}'>{:lang('INCOME')}</a>
                            <a class="btn btn-xs btn-primary" href='{:url("Family/cash",array("uid"=>$vo["uid"]))}'>{:lang('WITHDRAWAL_RECORDS')}</a>
                            <a class="btn btn-xs btn-primary" href='{:url("Family/edit",array("id"=>$vo["id"]))}'>{:lang('EDIT')}</a>
							<a class="btn btn-xs btn-danger js-ajax-delete" href="{:url('Family/del',array('id'=>$vo['id']))}" data-msg="{:lang('FORCE_DELETE_WILL_REMOVE_MEMBERS')}">{:lang('DELETE')}</a>
						</td>
					</tr>
					</foreach>
				</tbody>
			</table>
			<div class="pagination">{$page}</div>

		</form>
	</div>
	<script src="__STATIC__/js/admin.js"></script>
</body>
</html>